Last Comment Bug 710838 - Certain dark Personas make it hard to read the selected tab title
: Certain dark Personas make it hard to read the selected tab title
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 12.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on: tb-tabsontop
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-14 12:22 PST by Mike Conley (:mconley) - (needinfo me!)
Modified: 2012-01-12 07:02 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Three Wolf Moon Persona reveals the issue (197.27 KB, image/png)
2011-12-14 12:22 PST, Mike Conley (:mconley) - (needinfo me!)
no flags Details
Let the Personas shadow on Tab (812 bytes, patch)
2011-12-15 09:47 PST, Richard Marti (:Paenglab)
bwinton: review+
bwinton: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Review
Comparison between Thunderbird and Firefox with the same Persona (62.66 KB, image/png)
2011-12-15 09:50 PST, Richard Marti (:Paenglab)
no flags Details

Description Mike Conley (:mconley) - (needinfo me!) 2011-12-14 12:22:17 PST
Created attachment 581749 [details]
Three Wolf Moon Persona reveals the issue

In the attached screenshot, a Three Wolf Moon Persona is making it difficult to read the Inbox tab title text.  We should make this much easier to read.
Comment 1 Mike Conley (:mconley) - (needinfo me!) 2011-12-14 12:23:15 PST
Paenglab:

Here`s another little bug, if you have time to tackle it.  If not, let me know.

-Mike
Comment 2 Richard Marti (:Paenglab) 2011-12-14 13:29:07 PST
I take it. Removing

.tabmail-tab:-moz-lwtheme[selected="true"] {
  text-shadow: none;
}

should make it.
Comment 3 Richard Marti (:Paenglab) 2011-12-15 09:47:19 PST
Created attachment 582010 [details] [diff] [review]
Let the Personas shadow on Tab

Remove the text-shadow: none on active Tabs with Personas.
Comment 4 Richard Marti (:Paenglab) 2011-12-15 09:50:40 PST
Created attachment 582012 [details]
Comparison between Thunderbird and Firefox with the same Persona
Comment 5 Blake Winton (:bwinton) (:☕️) 2011-12-15 10:10:29 PST
Comment on attachment 582010 [details] [diff] [review]
Let the Personas shadow on Tab

That seems better.  I don't know whether it's better enough, but it's certainly good enough to get ui-r=me.  And since I'm here, I'll steal the review from Mike, and say r=me, too.

Thanks,
Blake.
Comment 6 Richard Marti (:Paenglab) 2011-12-22 10:57:50 PST
Comment on attachment 582010 [details] [diff] [review]
Let the Personas shadow on Tab

Asking for approval‑comm‑aurora because the ToT patch is also in comm-aurora.
Comment 7 Mike Conley (:mconley) - (needinfo me!) 2011-12-28 12:20:05 PST
Checked in to comm-central as http://hg.mozilla.org/comm-central/rev/0c99685ae14e
Comment 8 Mike Conley (:mconley) - (needinfo me!) 2011-12-29 07:43:58 PST
Committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/9f5de3098224

Note You need to log in before you can comment on or make changes to this bug.